Compliance
List information-return rules
List validated, source-qualified information-return rules.
Method
GET
Path
/v1/compliance-rules/information-returns
Required scope
compliance:readRequest
curl -X GET "https://api.endurancehq.app/v1/compliance-rules/information-returns" \
-H "Authorization: Bearer $EHQ_API_KEY"Response
Success status: 200
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"ruleKey": {
"type": "string"
},
"jurisdictionCountry": {
"type": "string"
},
"jurisdictionRegion": {
"type": [
"string",
"null"
]
},
"authority": {
"type": "string"
},
"taxYear": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"formNumber": {
"type": "string"
},
"paymentCategory": {
"type": "string",
"const": "nonemployee_compensation"
},
"thresholdCents": {
"anyOf": [
{
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
{
"type": "null"
}
]
},
"w9CollectionPolicy": {
"type": "string"
},
"effectiveFrom": {
"type": [
"string",
"null"
]
},
"effectiveTo": {
"type": [
"string",
"null"
]
},
"sourceUrl": {
"type": "string",
"format": "uri"
},
"sourceRevision": {
"type": "string"
},
"reviewStatus": {
"type": "string",
"const": "verified"
},
"exceptions": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"reviewedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d:[0-5]\\d(?:\\.\\d+)?(?:Z))$"
},
{
"type": "null"
}
]
}
},
"required": [
"ruleKey",
"jurisdictionCountry",
"jurisdictionRegion",
"authority",
"taxYear",
"formNumber",
"paymentCategory",
"thresholdCents",
"w9CollectionPolicy",
"effectiveFrom",
"effectiveTo",
"sourceUrl",
"sourceRevision",
"reviewStatus",
"exceptions",
"reviewedAt"
],
"additionalProperties": false
}
}
},
"required": [
"data"
],
"additionalProperties": false
}Other surfaces
CLI: ehq compliance information-returns list
MCP tool: ehq_compliance_information_returns_list